Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Sigil

Notices

Reply
 
Thread Tools Search this Thread
Old 03-05-2011, 08:17 AM   #1
AMD_Sempron
Junior Member
AMD_Sempron began at the beginning.
 
Posts: 2
Karma: 10
Join Date: Mar 2011
Device: none
Exclamation 'illegal hardware instruction'

Sigil won't run on CPU's older than Pentium 4, Athlon 64, Opteron (with 'Paris' core) and Sempron (with 'Paris' core), due to the missing SSE2 instruction set:

'illegal hardware instruction' at startup

Namely all AMD Athlon XP CPU's won't work, as SSE2 is an Intel development and was introduced by AMD some years later.

I'm aware that this is not a bug, but a decision made by the developer.

Would you please explicitily give a warning that Sigil >0.2.4 won't run on i586 and older i686 CPU's (FAQ's, Installation Instructions), so that people with obsolete hardware (<2006) won't waste time to try to install Sigil?

Thank you!

BTW: Yes, I had the money to buy a pc with a new cpu. A hardware failure two days after the warranty expired forced me back on my old pc...
AMD_Sempron is offline   Reply With Quote
Old 03-05-2011, 11:22 PM   #2
Valloric
Created Sigil, FlightCrew
Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.
 
Valloric's Avatar
 
Posts: 1,978
Karma: 350515
Join Date: Feb 2008
Device: Sony Reader PRS 505
Quote:
Originally Posted by AMD_Sempron View Post
Would you please explicitily give a warning that Sigil >0.2.4 won't run on i586 and older i686 CPU's (FAQ's, Installation Instructions)
You're right, I should.

Quote:
Originally Posted by AMD_Sempron View Post
so that people with obsolete hardware (<2006) won't waste time to try to install Sigil?
SSE2 was introduced to Intel CPU's in 2001, and to AMD's CPU's in 2003. Your figure of 2006 is off the mark.

Bottom line, this is such an extremely rare issue that so far, there has been little reason to explicitly state it in the install docs. But I agree, it should be there just in case.
Valloric is offline   Reply With Quote
 
Advertisement
Old 03-06-2011, 08:47 AM   #3
AMD_Sempron
Junior Member
AMD_Sempron began at the beginning.
 
Posts: 2
Karma: 10
Join Date: Mar 2011
Device: none
Smile

Quote:
Originally Posted by Valloric View Post
SSE2 was introduced to Intel CPU's in 2001, and to AMD's CPU's in 2003. Your figure of 2006 is off the mark.

Bottom line, this is such an extremely rare issue that so far, there has been little reason to explicitly state it in the install docs. But I agree, it should be there just in case.
Yes you're right: AMD introduced SSE2 in 2003. But the last AMD Athlon-XP without SSE2 (socket 'A' / socket 462) was manufactured in July 2005...

BTW: If you check Google's 'chromium browser' bugtracker, this issue is not so extremely rare (at least for chromium): http://code.google.com/p/chromium/issues/detail?id=9007

Anyway: I don't want to convince you to support old hardware, it's your decision. But if you can give a warning, it would be helpful for users like me (those who are using old hardware for any reason)...
AMD_Sempron is offline   Reply With Quote
Old 03-06-2011, 08:59 AM   #4
Valloric
Created Sigil, FlightCrew
Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.Valloric ought to be getting tired of karma fortunes by now.
 
Valloric's Avatar
 
Posts: 1,978
Karma: 350515
Join Date: Feb 2008
Device: Sony Reader PRS 505
Quote:
Originally Posted by AMD_Sempron View Post
Anyway: I don't want to convince you to support old hardware, it's your decision. But if you can give a warning, it would be helpful for users like me (those who are using old hardware for any reason)...
A note about this is now on the project site, in the FAQ.
Valloric is offline   Reply With Quote
Reply

Tags
illegal hardware

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Limera1n Jailbreak Instruction Guide Lotus Esprit Apple Devices 1 10-19-2010 02:14 AM
Instruction Book Included with Kobo -- It Blows bamelin Kobo Reader 14 07-28-2010 07:14 PM
Other Non-Fiction Tsao [Zhao], Lady: Instruction for Chinese Women and Girls, v1, 7 March 2010. Patricia Kindle Books 3 03-22-2010 02:32 AM
ubuntu hardy problem with binary install `Illegal instruction` lampadena Calibre 2 02-10-2009 03:57 AM
Instruction on how to update PRS 505 please davidw89 Sony Reader 3 07-24-2008 10:40 PM


All times are GMT -4. The time now is 08:25 AM.


MobileRead.com is a privately owned, operated and funded community.